pqxx::plpgsql_raise Class Reference
Exception classes

Exception raised in PL/pgSQL procedure. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::plpgsql_raise:
[legend]

## Public Member Functions

| plpgsql_raise (const std::string &err, const std::string &Q="", const char sqlstate[]=nullptr)
Public Member Functions inherited from pqxx::plpgsql_error
| plpgsql_error (const std::string &err, const std::string &Q="", const char sqlstate[]=nullptr)
Public Member Functions inherited from pqxx::sql_error
| sql_error (const std::string &msg="", const std::string &Q="", const char sqlstate[]=nullptr)
virtual | ~sql_error () noexcept
const PQXX_PURE std::string & | query () const noexcept
| The query whose execution triggered the exception. More...
const PQXX_PURE std::string & | sqlstate () const noexcept
| SQLSTATE error code if known, or empty string otherwise. More...
Public Member Functions inherited from pqxx::failure
| failure (const std::string &)
Public Member Functions inherited from pqxx::pqxx_exception
virtual | ~pqxx_exception () noexcept=0
| Support run-time polymorphism, and keep this class abstract. More...

## Detailed Description

Exception raised in PL/pgSQL procedure.

## Constructor & Destructor Documentation

## plpgsql_raise()

pqxx::plpgsql_raise::plpgsql_raise | ( | const std::string & | err,
|  | const std::string & | Q = `""`,
|  | const char | sqlstate[] = `nullptr`
| ) |  |

explicit

The documentation for this class was generated from the following file:

- except.hxx